Index Page wnextd_c

A B C D E F G H I J K L M N O P Q R S T U V W X

Procedure Abstract Required_Reading Keywords Brief_I/O Detailed_Input | Detailed_Output Parameters Exceptions Files Particulars Examples | Restrictions Literature_References Author_and_Institution Version Index_Entries

#### Procedure

       void wnextd_c ( SpiceChar     side,
                       SpiceCell   * window )

#### Abstract

       Extract the left or right endpoints from a double precision
       window.

#### Required_Reading

       WINDOWS

#### Keywords

       WINDOWS

#### Brief_I/O

       VARIABLE  I/O  DESCRIPTION
       --------  ---  --------------------------------------------------
       side       I   Extract left ('L') or right ('R') endpoints.
       window    I,O  Window to be extracted.

#### Detailed_Input

       side        indicates whether the left or right endpoints of
                   the intervals in the window are to be extracted.

                      'L', 'l'       Left endpoints.
                      'R', 'r'       Right endpoints.

                   If side is not recognized, the input window is
                   not changed.

       window      on input, is a window containing zero or more intervals.
                   window must be declared as a double precision SpiceCell.

#### Detailed_Output

        window      on output, is the collection of singleton intervals
                    containing either the left or the right endpoints
                    of the intervals in the original window.

#### Parameters

       None.

#### Exceptions

       1) If the input window does not have double precision type,
          the error SPICE(TYPEMISMATCH) is signaled.

       2) If the endpoint specification side is not recognized, the
          error SPICE(INVALIDENDPNTSPEC) is signaled.

#### Files

       None.

#### Particulars

       This routine replaces every interval in the input window with
       the singleton interval containing one of the endpoints of the
       interval.

#### Examples

       Let window contain the intervals

          [ 1, 3 ]  [ 7, 11 ]  [ 23, 27 ]  [ 29, 29 ]

       Then the call

          wnextd_c (  'L', &window );

       produces the window

          [ 1, 1 ]  [ 7, 7 ]  [ 23, 23 ]  [ 29, 29 ]

       And the call

          wnextd_c ( 'R', &window );

       produces the window

          [ 3, 3 ]  [ 11, 11 ]  [ 27, 27 ]  [ 29, 29 ]

#### Restrictions

       None.

#### Literature_References

       None.

#### Author_and_Institution

       N.J. Bachman    (JPL)
       H.A. Neilan     (JPL)
       W.L. Taber      (JPL)
       I.M. Underwood  (JPL)

#### Version

     -CSPICE Version 1.0.0, 29-JUL-2002 (NJB) (HAN) (WLT) (IMU)

#### Index_Entries

       extract the endpoints from a d.p. window

#### Link to routine wnextd_c source file wnextd_c.c

    Wed Apr  5 17:54:47 2017